#!/usr/bin/perl -w

# Program to search through a bunch of text files in a directory and
# replace a given string by another given string

	# MEOW and MOO are just delimiters. 

$tin = <<MEOW;
Sample text to match
It's kind of long
MEOW

$tout = <<MOO;
Sample text to put back
It's even longer
Blah Blah Blah
MOO

undef $/; # Eat entire files at once
loopy: while($#ARGV > -1)
	{
	$nomatch = 0;
	undef $fn;
	undef $fnc;
	$fn = pop(@ARGV);
	if(! -e $fn) { die "Filename $fn not found!"};
	open(FILE, "$fn");
	$fnc = <FILE>;
	close(FILE);
	$fnc =~ s/$tin/$tout/ or $nomatch = 1;
	if($nomatch == 1)
		{
		print "File $fn didn't match, skipping";
		next loopy;
		}
	open(FILE,">$fn") || die "Cannot open file $fn for writing";
				 # Now that we've performed the mod, prepare to
				# write the file back out
	print FILE $fnc; 
	close(FILE);
	}
print "\n";
